@charset "UTF-8";

/* =====================
  property-filter
===================== */
.property-filter {
  margin-bottom: var(--section-top);
}
.property-filter-tags {
  border-bottom: 4px solid var(--color-primary);
  .inner--both {
    display: flex;
    align-items: center;
    flex-wrap: wrap;
    gap: 8rem;
    padding-block: 48rem;
  }
}
.property-filter-tag {
  padding: 6rem 24rem;
  display: flex;
  align-items: center;
  column-gap: 8rem;
  font-weight: var(--bold);
  line-height: 1.4;
  border-radius: 4rem;
  border: 2px solid rgb(23 63 75 / 0.6);
  transition: all 0.3s ease;
  &.is-active {
    background-color: var(--color-primary);
    color: var(--color-white);
  }
  &:hover {
    background-color: var(--color-primary);
    color: var(--color-white);
  }
  &::before {
    content: '#';
  }
}
.property-list {
  transition: min-height 0.35s ease;
}
.property-item {
  border-bottom: 4px solid var(--color-primary);
  transform: translateY(0);
  opacity: 1;
  transition:
    opacity 0.35s ease,
    transform 0.35s ease;
  &.is-hidden {
    opacity: 0;
    transform: translateY(8px);
    pointer-events: none;
  }
  .inner {
    display: grid;
    grid-template-columns: auto 1fr;
    column-gap: 80rem;
    padding-block: 96rem;
  }
}
.property-item__image {
  width: 611rem;
  aspect-ratio: 611 / 398;
}
.soldOut {
  .property-item__image-block {
    position: relative;
    height: fit-content;
    &::after {
      position: absolute;
      content: 'SOLD OUT';
      background-color: rgb(19 19 20 / 0.4);
      color: var(--color-white);
      font-size: 72rem;
      font-family: var(--lang-en);
      font-weight: var(--black);
      font-style: normal;
      line-height: 1.3;
      display: flex;
      justify-content: center;
      align-items: center;
      inset: 0;
      z-index: 10;
    }
  }
}
.property-tags {
  display: flex;
  align-items: center;
  flex-wrap: wrap;
  gap: 8rem;
}
.property-tag {
  padding: 2rem 8rem;
  display: flex;
  align-items: center;
  column-gap: 8rem;
  font-size: 11rem;
  font-weight: var(--bold);
  line-height: 1.4;
  border-radius: 3rem;
  border: 2px solid rgb(23 63 75 / 0.6);
  &::before {
    content: '#';
  }
}
.property-item__name {
  font-size: 32rem;
  font-weight: var(--bold);
  line-height: 1.6;
  letter-spacing: -0.03em;
  margin-top: 8rem;
}
.summary-list {
  margin-top: 16rem;
}
.summary-item {
  display: grid;
  grid-template-columns: 104rem 1fr;
  column-gap: 8rem;
  padding-block: 16rem;
  border-bottom: var(--border) var(--color-list-border);
}
.summary-item__title {
  font-weight: var(--bold);
}
.property-item__btn {
  display: grid;
  grid-template-columns: 1fr auto;
  align-items: center;
  column-gap: 16rem;
  font-weight: var(--bold);
  padding: 16rem 32rem;
  background-color: var(--color-primary);
  color: var(--color-white);
  text-align: center;
  border-radius: 4rem;
  margin-top: 48rem;
  &::after {
    content: '';
    display: inline-block;
    background: url(/assets/img/common/icon-arrow-w.svg) no-repeat center / contain;
    width: 20rem;
    height: 20rem;
  }
}

/* =====================
  detail
===================== */
.property-info {
  .summary-list {
    margin-top: 32rem;
  }
  .summary-item {
    grid-template-columns: 192rem 1fr;
    column-gap: 24rem;
    padding-block: 32rem;
  }
  .section-title02 {
    margin-top: 96rem;
  }
}
.property-info-tags {
  display: flex;
  align-items: center;
  flex-wrap: wrap;
  gap: 8rem;
}
.property-info-tag {
  padding: 2rem 8rem;
  display: flex;
  align-items: center;
  column-gap: 4rem;
  font-size: 11rem;
  font-weight: var(--bold);
  line-height: 1.4;
  border-radius: 3rem;
  border: 2px solid rgb(23 63 75 / 0.6);
  &::before {
    content: '#';
  }
}
.property-info__name {
  font-size: 40rem;
  font-weight: var(--bold);
  line-height: 1.4;
  letter-spacing: -0.03em;
  margin-block: 24rem 40rem;
}
.property-info__image-block {
  width: fit-content;
  margin-inline: auto;
}
.soldOut {
  .property-info__image-block {
    position: relative;
    height: fit-content;
    width: fit-content;
    &::after {
      position: absolute;
      content: 'SOLD OUT';
      background-color: rgb(19 19 20 / 0.4);
      color: var(--color-white);
      font-size: 72rem;
      font-family: var(--lang-en);
      font-weight: var(--black);
      font-style: normal;
      line-height: 1.3;
      display: flex;
      justify-content: center;
      align-items: center;
      inset: 0;
      z-index: 10;
    }
  }
}
.property-info__image {
  width: 960rem;
}
.property-info-video {
  margin-top: 80rem;
  > iframe {
    width: 100%;
    height: 620rem;
  }
}
.property-info-gallery {
  display: grid;
  grid-template-columns: repeat(4, 1fr);
  gap: 16rem;
}
.property-info-gallery__image-block {
  position: relative;
  transition: opacity 0.3s ease;
  &:hover {
    opacity: 0.8;
    cursor: pointer;
  }
  &::after {
    content: '';
    position: absolute;
    display: inline-block;
    background: url(/assets/img/common/icon-gallery-more.svg) no-repeat center / contain;
    width: 32rem;
    height: 32rem;
    right: 16rem;
    bottom: 16rem;
    z-index: 10;
  }
}
.property-info-gallery__image {
  width: 100%;
  aspect-ratio: 288 / 200;
}

/* モーダル */
.gallery-modal {
  position: fixed;
  inset: 0;
  background: rgb(20 22 22 / 0.86);
  display: none;
  justify-content: center;
  align-items: center;
  z-index: 99999;
  .swiper-button-next,
  .swiper-button-prev {
    color: var(--color-white);
  }
}
.gallery-modal {
  &.is-active {
    display: flex;
  }
}
.gallery-modal__inner {
  padding: 80rem;
  max-width: 1440rem;
  position: relative;
  text-align: center;
}
.gallery-modal__name {
  color: var(--color-white);
  font-size: 18rem;
  font-weight: var(--bold);
  line-height: 1.6;
  letter-spacing: -0.03em;
  margin: 0 auto 8rem;
  text-align: left;
  width: 696rem;
}
.gallery-modal__image {
  width: 696rem;
  aspect-ratio: 696 / 484;
}
.gallery-thumbs {
  margin-top: 40rem;
}
.gallery-thumbs__item {
  position: relative;
  margin-right: 16rem;
  &::after {
    content: '';
    position: absolute;
    inset: 0;
    background-color: rgb(0 0 0 / 0.65);
    z-index: 1;
  }
  &.swiper-slide-thumb-active {
    &::after {
      display: none;
    }
  }
}
.gallery-thumbs__image {
  width: 210rem;
  aspect-ratio: 210 / 146;
}
.gallery-modal__close {
  position: absolute;
  top: 0;
  right: 0;
  color: var(--color-white);
  cursor: pointer;
  width: 48rem;
  height: 48rem;
  background-color: var(--color-primary);
  display: flex;
  justify-content: center;
  align-items: center;
  &::after {
    content: '';
    display: inline-block;
    background: url(/assets/img/common/icon-close.svg) no-repeat center / contain;
    width: 14rem;
    height: 14rem;
  }
}

/* =====================
  facilities
===================== */
.facilities-content-main {
  display: grid;
  grid-template-columns: auto 1fr;
  align-items: center;
  column-gap: 80rem;
}
.facilities-content-main__image {
  width: 624rem;
  aspect-ratio: 624 / 382;
}
